petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetClosureIndices

Get the global indices in a vector v for all points in the closure of the given point

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetClosureIndices(DM dm, PetscSection section, PetscSection globalSection, PetscInt point, PetscInt *numIndices, PetscInt **indices, PetscInt *outOffsets)

Not collective

### Input Parameters

| dm | - The DM
| section | - The section describing the layout in v, or NULL to use the default section
| globalSection | - The section describing the parallel layout in v, or NULL to use the default section
| point | - The mesh point

### Output parameters

| numIndices | - The number of indices
| indices | - The indices
| outOffsets | - Field offset if not NULL

Note: Must call DMPlexRestoreClosureIndices() to free allocated memory

### See Also

DMPlexRestoreClosureIndices(), DMPlexVecGetClosure(), DMPlexMatSetClosure()

### Level

advanced

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages